Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class StateReason

    java.lang.Object
      com.amazonaws.services.ec2.model.StateReason

    public class StateReason

extends Object

Describes a state change for an Amazon EC2 instance.

Constructor Summary
`StateReason()`

Method Summary
`String` | `getCode()` Reason code for the state change.
`String` | `getMessage()` Descriptive message for the state change.
`void` | `setCode(String code)` Reason code for the state change.
`void` | `setMessage(String message)` Descriptive message for the state change.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`StateReason` | `withCode(String code)` Reason code for the state change.
`StateReason` | `withMessage(String message)` Descriptive message for the state change.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateReason

    public StateReason()

Method Detail

### getCode

    public String getCode()

  Reason code for the state change.

  Returns:
    Reason code for the state change.

### setCode

    public void setCode(String code)

  Reason code for the state change.

  Parameters:
    `code` - Reason code for the state change.

### withCode

    public StateReason withCode(String code)

  Reason code for the state change.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `code` - Reason code for the state change.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMessage

    public String getMessage()

  Descriptive message for the state change.

  Returns:
    Descriptive message for the state change.

### setMessage

    public void setMessage(String message)

  Descriptive message for the state change.

  Parameters:
    `message` - Descriptive message for the state change.

### withMessage

    public StateReason withMessage(String message)

  Descriptive message for the state change.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `message` - Descriptive message for the state change.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.